# -*- coding: utf-8 -*-
# Author: allen
# Copyright (c) 2022 RuiCare All rights reserved.
import os

import SimpleITK as sitk
from util import fileutil

if __name__ == '__main__':
    nii_dir = '/home/allen/Temp/PlanQA/train'

    pat_dirs = fileutil.list_dir(nii_dir)

    for pat_dir in pat_dirs:
        name = os.path.basename(pat_dir)
        ct_nii_path = f'{pat_dir}/dose_plan.nii.gz'

        nii = sitk.ReadImage(ct_nii_path)
        spacing = nii.GetSpacing()

        img = sitk.GetArrayFromImage(nii)
        print(name, spacing, img.shape, img.min(), img.max())
