# -*- coding: utf-8 -*-
# Author: allen
# Copyright (c) 2022 RuiCare All rights reserved.
from keras import Input, Model
from keras.layers import BatchNormalization
from tensorflow.python.keras.layers import Dense, Dropout
from tensorflow.keras.mixed_precision import experimental as mixed_precision


def load_dense_net(input_dim=42, classes=3, activation='softmax', batch_normal=True, dropout=None):
    policy = mixed_precision.Policy('mixed_float16')
    mixed_precision.set_policy(policy)
    tensor_input = Input(shape=[input_dim])
    tensor_new = Dense(units=5000, activation='relu')(tensor_input)
    # if batch_normal: tensor_new = BatchNormalization(axis=-1)(tensor_new)
    # if dropout is not None: tensor_new = Dropout(rate=dropout)(tensor_new)
    # tensor_new = Dense(units=2000, activation='relu')(tensor_new)
    # if batch_normal: tensor_new = BatchNormalization(axis=-1)(tensor_new)
    # if dropout is not None: tensor_new = Dropout(rate=dropout)(tensor_new)
    # tensor_new = Dense(units=2000, activation='relu')(tensor_new)
    # if batch_normal: tensor_new = BatchNormalization(axis=-1)(tensor_new)
    # if dropout is not None: tensor_new = Dropout(rate=dropout)(tensor_new)
    # tensor_new = Dense(units=2000, activation='relu')(tensor_new)
    # if batch_normal: tensor_new = BatchNormalization(axis=-1)(tensor_new)
    # if dropout is not None: tensor_new = Dropout(rate=dropout)(tensor_new)
    # tensor_new = Dense(units=2000, activation='relu')(tensor_new)
    # if batch_normal: tensor_new = BatchNormalization(axis=-1)(tensor_new)
    # if dropout is not None: tensor_new = Dropout(rate=dropout)(tensor_new)

    tensor_output = Dense(units=classes, activation=activation)(tensor_new)
    model = Model(inputs=tensor_input, outputs=tensor_output)

    return model


if __name__ == '__main__':
    net = load_dense_net()
    print(net)
